ports/92445: [patch] change all bogus uses of BROKEN to IGNORE

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

ports/92445: [patch] change all bogus uses of BROKEN to IGNORE

linimon

>Number:         92445
>Category:       ports
>Synopsis:       [patch] change all bogus uses of BROKEN to IGNORE
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:      
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sat Jan 28 04:40:02 GMT 2006
>Closed-Date:
>Last-Modified:
>Originator:     Mark Linimon
>Release:        FreeBSD 6.0-STABLE i386
>Organization:
FreeBSD
>Environment:
>Description:
bsd.*.mk and friends have grown several cases where BROKEN is used where
IGNORE is really meant.  This causes the cluster to try to build certain
ports, when we already know it will not be possible to do so.  (As a
refresher: BROKEN implies temporary failure which the cluster should keep
trying to build in case it has gone away; IGNORE implies that there is an
incompatibility or some kind of conflict, and it makes no sense to try to
install.)

It turns out that most of the BROKEN_WITH_xyz assignements actually
correctly _set_ IGNORE internally now, but this confusing usage needs
to go away.

This needs to be tested on the cluster, but it also needs approval of
various maintainers as well.
>How-To-Repeat:
>Fix:

Index: Mk/bsd.autotools.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.autotools.mk,v
retrieving revision 1.22
diff -u -r1.22 bsd.autotools.mk
--- Mk/bsd.autotools.mk 21 Jan 2006 17:37:00 -0000 1.22
+++ Mk/bsd.autotools.mk 27 Jan 2006 05:20:58 -0000
@@ -99,7 +99,7 @@
 # Make sure we specified a legal version of automake
 #
 . if !exists(${PORTSDIR}/devel/automake${AUTOMAKE_VERSION}/Makefile)
-BROKEN+= Unknown AUTOMAKE version: ${AUTOMAKE_VERSION}
+IGNORE+= Unknown AUTOMAKE version: ${AUTOMAKE_VERSION}
 . endif
 
 # Set up the automake environment
@@ -145,7 +145,7 @@
 # Make sure we specified a legal version of autoconf
 #
 . if !exists(${PORTSDIR}/devel/autoconf${AUTOCONF_VERSION}/Makefile)
-BROKEN+= Unknown AUTOCONF version: ${AUTOCONF_VERSION}
+IGNORE+= Unknown AUTOCONF version: ${AUTOCONF_VERSION}
 . endif
 
 # Set up the autoconf/autoheader environment
@@ -193,7 +193,7 @@
 # Make sure we specified a legal version of libtool
 #
 . if !exists(${PORTSDIR}/devel/libtool${LIBTOOL_VERSION}/Makefile)
-BROKEN+= Unknown LIBTOOL version: ${LIBTOOL_VERSION}
+IGNORE+= Unknown LIBTOOL version: ${LIBTOOL_VERSION}
 . endif
 
 # Set up the libtool environment
Index: Mk/bsd.database.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.database.mk,v
retrieving revision 1.4
diff -u -r1.4 bsd.database.mk
--- Mk/bsd.database.mk 21 Jan 2006 17:37:01 -0000 1.4
+++ Mk/bsd.database.mk 27 Jan 2006 05:21:09 -0000
@@ -25,7 +25,7 @@
 #  Default: 41.
 # WANT_MYSQL_VER
 # - Maintainer can set an arbitrary version of MySQL by using it.
-# BROKEN_WITH_MYSQL
+# IGNORE_WITH_MYSQL
 # - This variable can be defined if the ports doesn't support
 #  one or more version of MySQL.
 # MYSQL_VER - Internal variable for MySQL version.
@@ -43,7 +43,7 @@
 # WANT_PGSQL_VER
 # - Maintainer can set an arbitrary version of PostgreSQL by
 #  using it.
-# BROKEN_WITH_PGSQL
+# IGNORE_WITH_PGSQL
 # - This variable can be defined if the ports doesn't support
 #  one or more versions of PostgreSQL.
 ##
@@ -72,7 +72,7 @@
 
 .if defined(WANT_MYSQL_VER)
 .if defined(WITH_MYSQL_VER) && ${WITH_MYSQL_VER} != ${WANT_MYSQL_VER}
-BROKEN= The port wants mysql${WANT_MYSQL_VER}-client and you try to install mysql${WITH_MYSQL_VER}-client.
+IGNORE= The port wants mysql${WANT_MYSQL_VER}-client and you try to install mysql${WITH_MYSQL_VER}-client.
 .endif
 MYSQL_VER= ${WANT_MYSQL_VER}
 .elif defined(WITH_MYSQL_VER)
@@ -87,19 +87,19 @@
 
 .if defined(_MYSQL_VER)
 .if ${_MYSQL_VER} != ${MYSQL_VER}
-BROKEN= MySQL versions mismatch: mysql${_MYSQL_VER}-client is installed and wanted version is mysql${MYSQL_VER}-client
+IGNORE= MySQL versions mismatch: mysql${_MYSQL_VER}-client is installed and wanted version is mysql${MYSQL_VER}-client
 .endif
 .endif
 
 # And now we are checking if we can use it
 .if defined(MYSQL${MYSQL_VER}_LIBVER)
-.if defined(BROKEN_WITH_MYSQL)
-. for VER in ${BROKEN_WITH_MYSQL}
+.if defined(IGNORE_WITH_MYSQL)
+. for VER in ${IGNORE_WITH_MYSQL}
 . if (${MYSQL_VER} == "${VER}")
-IGNORE= Doesn't work with MySQL version : ${MYSQL_VER} (Doesn't support MySQL ${BROKEN_WITH_MYSQL})
+IGNORE= Doesn't work with MySQL version : ${MYSQL_VER} (Doesn't support MySQL ${IGNORE_WITH_MYSQL})
 . endif
 . endfor
-.endif # BROKEN_WITH_MYSQL
+.endif # IGNORE_WITH_MYSQL
 LIB_DEPENDS+= mysqlclient.${MYSQL${MYSQL_VER}_LIBVER}:${PORTSDIR}/databases/mysql${MYSQL_VER}-client
 .else
 IGNORE= Unknown MySQL version: ${MYSQL_VER}
@@ -119,7 +119,7 @@
 .endif
 
 .if defined(WANT_PGSQL_VER) && defined(_PGSQL_VER) && ${WANT_PGSQL_VER} != ${_PGSQL_VER}
-BROKEN= the port wants postgresql${WANT_PGSQL_VER}-client but you have postgresql${_PGSQL_VER}-client installed
+IGNORE= the port wants postgresql${WANT_PGSQL_VER}-client but you have postgresql${_PGSQL_VER}-client installed
 .endif
 
 .if defined(_PGSQL_VER)
@@ -132,13 +132,13 @@
 
 # And now we are checking if we can use it
 .if defined(PGSQL${PGSQL_VER}_LIBVER)
-.if defined(BROKEN_WITH_PGSQL)
-. for VER in ${BROKEN_WITH_PGSQL}
+.if defined(IGNORE_WITH_PGSQL)
+. for VER in ${IGNORE_WITH_PGSQL}
 . if (${PGSQL_VER} == "${VER}")
-IGNORE= Does not work with postgresql${PGSQL_VER}-client PostgresSQL (${BROKEN_WITH_PGSQL} not supported)
+IGNORE= Does not work with postgresql${PGSQL_VER}-client PostgresSQL (${IGNORE_WITH_PGSQL} not supported)
 . endif
 . endfor
-.endif # BROKEN_WITH_PGSQL
+.endif # IGNORE_WITH_PGSQL
 LIB_DEPENDS+= pq.${PGSQL${PGSQL_VER}_LIBVER}:${PORTSDIR}/databases/postgresql${PGSQL_VER}-client
 .else
 IGNORE= Unknown PostgreSQL version: ${PGSQL_VER}
Index: Mk/bsd.gcc.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.gcc.mk,v
retrieving revision 1.7
diff -u -r1.7 bsd.gcc.mk
--- Mk/bsd.gcc.mk 21 Jan 2006 17:37:01 -0000 1.7
+++ Mk/bsd.gcc.mk 27 Jan 2006 05:21:26 -0000
@@ -78,7 +78,7 @@
 .endfor
 
 .if !defined(_GCCVERSION_OKAY)
-BROKEN= Unknown version of GCC specified (USE_GCC=${USE_GCC})
+IGNORE= Unknown version of GCC specified (USE_GCC=${USE_GCC})
 .endif
 
 #
@@ -94,7 +94,7 @@
 . endif
 .endfor
 .if !defined(_GCCVERSION)
-BROKEN= Couldn't find your current GCCVERSION (OSVERSION=${OSVERSION})
+IGNORE= Couldn't find your current GCCVERSION (OSVERSION=${OSVERSION})
 .endif
 
 #
Index: Mk/bsd.gnome.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.gnome.mk,v
retrieving revision 1.106
diff -u -r1.106 bsd.gnome.mk
--- Mk/bsd.gnome.mk 22 Jan 2006 20:35:15 -0000 1.106
+++ Mk/bsd.gnome.mk 27 Jan 2006 05:21:40 -0000
@@ -596,13 +596,13 @@
 .      if defined(GNOME_DESKTOP_VERSION) && \
  defined(${component}_GNOME_DESKTOP_VERSION)
 .         if ${GNOME_DESKTOP_VERSION}!=${${component}_GNOME_DESKTOP_VERSION}
-BROKEN= ${PORTNAME} wants to use the GNOME
-BROKEN+=${${component}_GNOME_DESKTOP_VERSION} desktop, but you wish to use
-BROKEN+=the GNOME ${GNOME_DESKTOP_VERSION} desktop
+IGNORE= ${PORTNAME} wants to use the GNOME
+IGNORE+=${${component}_GNOME_DESKTOP_VERSION} desktop, but you wish to use
+IGNORE+=the GNOME ${GNOME_DESKTOP_VERSION} desktop
 .         endif
 .      endif
 .  if ${_USE_GNOME_ALL:M${component}}==""
-BROKEN= Unknown component ${component}
+IGNORE= Unknown component ${component}
 .  endif
 _USE_GNOME+= ${${component}_USE_GNOME_IMPL} ${component}
 . endfor
@@ -628,7 +628,7 @@
  done;
 .else
 .if ${USE_GNOME:Mltverhack}!=""
-BROKEN= ${PORTNAME} uses the ltverhack GNOME component but does not use libtool
+IGNORE= ${PORTNAME} uses the ltverhack GNOME component but does not use libtool
 .endif
 .endif
 
Index: Mk/bsd.gstreamer.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.gstreamer.mk,v
retrieving revision 1.13
diff -u -r1.13 bsd.gstreamer.mk
--- Mk/bsd.gstreamer.mk 21 Jan 2006 17:37:01 -0000 1.13
+++ Mk/bsd.gstreamer.mk 27 Jan 2006 05:21:44 -0000
@@ -237,7 +237,7 @@
 RUN_DEPENDS+=   ${_GST_LIB_BASE}/libgst${ext}.so:${PORTSDIR}/${${ext}_DEPENDS}
 .  endif
 . else
-BROKEN= Unknown gstreamer-plugin -- ${ext}
+IGNORE= Unknown gstreamer-plugin -- ${ext}
 . endif
 .endfor
 
Index: Mk/bsd.kde.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.kde.mk,v
retrieving revision 1.55
diff -u -r1.55 bsd.kde.mk
--- Mk/bsd.kde.mk 21 Jan 2006 17:37:01 -0000 1.55
+++ Mk/bsd.kde.mk 27 Jan 2006 05:23:30 -0000
@@ -68,7 +68,7 @@
 USE_QT_VER= 3
 PREFIX= ${KDE_PREFIX}
 .else
-BROKEN= Unknown value in USE_KDELIBS_VER
+IGNORE= Unknown value in USE_KDELIBS_VER
 .endif # ${USE_KDELIBS_VER} == 3
 .endif # defined(USE_KDELIBS_VER)
 
@@ -122,7 +122,7 @@
 CONFIGURE_ENV+= MOC="${MOC}" CPPFLAGS="${CPPFLAGS} ${QTCPPFLAGS}" LIBS="${QTCFGLIBS}"
 .endif # !defined(QT_NONSTANDARD)
 .else
-BROKEN=Unsupported value of USE_QT_VER
+IGNORE=Unsupported value of USE_QT_VER
 .endif # defined(USE_QT_VER)
 
 # End of USE_QT_VER section
Index: Mk/bsd.php.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.php.mk,v
retrieving revision 1.23
diff -u -r1.23 bsd.php.mk
--- Mk/bsd.php.mk 21 Jan 2006 17:37:01 -0000 1.23
+++ Mk/bsd.php.mk 27 Jan 2006 05:20:13 -0000
@@ -18,7 +18,7 @@
 # The port can set these options in its Makefile before bsd.ports.pre.mk:
 #
 # DEFAULT_PHP_VER=N - Use PHP version N if PHP is not yet installed.
-# BROKEN_WITH_PHP=N - The port doesn't work with PHP version N.
+# IGNORE_WITH_PHP=N - The port doesn't work with PHP version N.
 # USE_PHPIZE=yes    - Use to build a PHP extension.
 # USE_PHPEXT=yes    - Use to build, install and register a PHP extension.
 # USE_PHP_BUILD=yes - Set PHP also as a build dependency.
@@ -71,10 +71,10 @@
 .endif
 PHP_EXT_INC?= ""
 
-.if defined(BROKEN_WITH_PHP)
-. for VER in ${BROKEN_WITH_PHP}
+.if defined(IGNORE_WITH_PHP)
+. for VER in ${IGNORE_WITH_PHP}
 . if ${PHP_VER} == "${VER}"
-BROKEN= Doesn't work with PHP version : ${PHP_VER} (Doesn't support PHP ${BROKEN_WITH_PHP})
+IGNORE= Doesn't work with PHP version : ${PHP_VER} (Doesn't support PHP ${IGNORE_WITH_PHP})
 . endif
 . endfor
 .endif

--- Mk/bsd.port.mk Fri Jan 27 21:54:32 2006
+++ Mk/bsd.port.mk.combined Thu Jan 26 23:27:46 2006
@@ -1191,7 +1191,7 @@
 
 .if defined(PORTVERSION)
 .if ${PORTVERSION:M*[-_,]*}x != x
-BROKEN= PORTVERSION ${PORTVERSION} may not contain '-' '_' or ','
+IGNORE= PORTVERSION ${PORTVERSION} may not contain '-' '_' or ','
 .endif
 DISTVERSION?= ${PORTVERSION:S/:/::/g}
 .elif defined(DISTVERSION)
@@ -1525,7 +1534,7 @@
 .elif ${WANT_OPENLDAP_VER} == 23
 LIB_DEPENDS+= ldap-2.3.1:${PORTSDIR}/net/openldap23${_OPENLDAP_FLAVOUR}-client
 .else
-BROKEN= unknown OpenLDAP version: ${WANT_OPENLDAP_VER}
+IGNORE= unknown OpenLDAP version: ${WANT_OPENLDAP_VER}
 .endif
 .endif
 
@@ -1537,7 +1546,7 @@
 
 .if defined(WANT_FAM_SYSTEM)
 .if defined(WITH_FAM_SYSTEM) && ${WITH_FAM_SYSTEM}!=${WANT_FAM_SYSTEM}
-BROKEN= The port wants to use ${WANT_FAM_SYSTEM} as its FAM system and you wish to use ${WITH_FAM_SYSTEM}
+IGNORE= The port wants to use ${WANT_FAM_SYSTEM} as its FAM system and you wish to use ${WITH_FAM_SYSTEM}
 .endif
 FAM_SYSTEM= ${WANT_FAM_SYSTEM}
 .elif defined(WITH_FAM_SYSTEM)
@@ -1549,7 +1558,7 @@
 .if defined(FAM_SYSTEM_${FAM_SYSTEM:U})
 LIB_DEPENDS+= ${FAM_SYSTEM_${FAM_SYSTEM:U}}
 .else
-BROKEN= unknown FAM system: ${FAM_SYSTEM}
+IGNORE= unknown FAM system: ${FAM_SYSTEM}
 .endif
 .endif # USE_FAM
 
Index: Mk/bsd.ruby.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.ruby.mk,v
retrieving revision 1.150
diff -u -r1.150 bsd.ruby.mk
--- Mk/bsd.ruby.mk 21 Jan 2006 17:37:01 -0000 1.150
+++ Mk/bsd.ruby.mk 27 Jan 2006 05:23:19 -0000
@@ -114,12 +114,12 @@
 
 .if defined(RUBY)
 .if !exists(${RUBY})
-BROKEN= You set the variable RUBY to "${RUBY}", but it does not seem to exist.  Please specify an already installed ruby executable.
+IGNORE= You set the variable RUBY to "${RUBY}", but it does not seem to exist.  Please specify an already installed ruby executable.
 .endif
 
 _RUBY_TEST!= ${RUBY} -e 'begin; require "rbconfig"; rescue LoadError; puts "error"; end'
 .if !empty(_RUBY_TEST)
-BROKEN= You set the variable RUBY to "${RUBY}", but it failed to include rbconfig.  Please specify a properly installed ruby executable.
+IGNORE= You set the variable RUBY to "${RUBY}", but it failed to include rbconfig.  Please specify a properly installed ruby executable.
 .endif
 
 _RUBY_CONFIG= ${RUBY} -r rbconfig -e 'C = Config::CONFIG' -e
@@ -147,7 +147,7 @@
 RUBY_WRKSRC= ${WRKDIR}/ruby-${RUBY_VERSION}
 #MASTER_SITE_SUBDIR_RUBY= snapshots
 .elif defined(RUBY_VER) && ${RUBY_VER} == 1.7
-BROKEN= Ruby 1.7 is obsolete; set RUBY_VER to 1.8 instead.
+IGNORE= Ruby 1.7 is obsolete; set RUBY_VER to 1.8 instead.
 .else
 RUBY_VERSION?= 1.6.8
 RUBY_DISTVERSION?= ${RUBY_VERSION}-2004.07.28
Index: Mk/bsd.sdl.mk
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/Mk/bsd.sdl.mk,v
retrieving revision 1.9
diff -u -r1.9 bsd.sdl.mk
--- Mk/bsd.sdl.mk 21 Jan 2006 17:37:01 -0000 1.9
+++ Mk/bsd.sdl.mk 27 Jan 2006 05:22:39 -0000
@@ -145,7 +145,7 @@
 _USE_SDL=
 .for component in ${USE_SDL}
 . if ${_USE_SDL_ALL:M${component}}==""
-BROKEN= Unknown SDL component ${component}
+IGNORE= Unknown SDL component ${component}
 . endif
 _USE_SDL+= ${_REQUIRES_${component}} ${component}
 .endfor
Index: databases/ip4r/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/databases/ip4r/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- databases/ip4r/Makefile 19 Jan 2006 04:21:46 -0000 1.2
+++ databases/ip4r/Makefile 27 Jan 2006 07:21:50 -0000
@@ -20,7 +20,7 @@
 # 74 is not strictly true, but requires extracting the appropriate
 # postgresql-contrib tarball, and associated heavy lifting.
 # In order to keep this port simple, we assume >= 8.0
-BROKEN_WITH_PGSQL= 73 74
+IGNORE_WITH_PGSQL= 73 74
 
 MAKE_ARGS= USE_PGXS=1
 
Index: databases/mysql-administrator/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/databases/mysql-administrator/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- databases/mysql-administrator/Makefile 19 Nov 2005 19:54:29 -0000 1.25
+++ databases/mysql-administrator/Makefile 27 Jan 2006 07:22:59 -0000
@@ -33,7 +33,7 @@
 USE_GNOME= libglade2 gnomehack
 USE_MYSQL= yes
 DEFAULT_MYSQL_VER= 41
-BROKEN_WITH_MYSQL= 323 40
+IGNORE_WITH_MYSQL= 323 40
 GNU_CONFIGURE= yes
 
 LIB_DEPENDS+= gtkmm-2.0:${PORTSDIR}/x11-toolkits/gtk--2 \
@@ -53,7 +53,7 @@
 .include <bsd.port.pre.mk>
 
 .if ${OSVERSION} < 500000
-BROKEN= "can not build on 4.x"
+BROKEN= can not build on 4.x
 .endif
 
 ONLY_FOR_ARCHS= i386 amd64
Index: databases/mysql-connector-odbc/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/databases/mysql-connector-odbc/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- databases/mysql-connector-odbc/Makefile 17 Jan 2006 20:50:45 -0000 1.18
+++ databases/mysql-connector-odbc/Makefile 27 Jan 2006 07:23:38 -0000
@@ -16,7 +16,7 @@
 COMMENT= ODBC driver for MySQL${MYSQL_VER} / ${DRIVER_MANAGER}
 
 USE_MYSQL= yes
-BROKEN_WITH_MYSQL= 323
+IGNORE_WITH_MYSQL= 323
 
 USE_REINOPLACE= yes
 USE_GMAKE= yes
Index: databases/mysqlcc/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/databases/mysqlcc/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- databases/mysqlcc/Makefile 4 Mar 2004 06:56:08 -0000 1.8
+++ databases/mysqlcc/Makefile 27 Jan 2006 07:24:32 -0000
@@ -19,7 +19,7 @@
 BUILD_DEPENDS= qmake:${PORTSDIR}/devel/qmake
 
 USE_MYSQL= yes
-BROKEN_WITH_MYSQL=323
+IGNORE_WITH_MYSQL=323
 
 USE_REINPLACE= yes
 GNU_CONFIGURE= yes
--- databases/pgadmin3/Makefile.blah Fri Jan 27 22:03:45 2006
+++ databases/pgadmin3/Makefile Fri Jan 27 22:03:04 2006
@@ -15,7 +15,7 @@
 COMMENT= PostgreSQL database design and management system
 
 USE_PGSQL= yes
-BROKEN_WITH_PGSQL= 73
+IGNORE_WITH_PGSQL= 73
 USE_REINPLACE= yes
 GNU_CONFIGURE= yes
 CONFIGURE_ARGS= --with-wx=${X11BASE} --with-wx-config=${WX_CONFIG}
Index: deskutils/phprojekt/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/deskutils/phprojekt/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- deskutils/phprojekt/Makefile 12 Dec 2005 04:28:00 -0000 1.3
+++ deskutils/phprojekt/Makefile 27 Jan 2006 07:26:31 -0000
@@ -16,7 +16,7 @@
 
 USE_PHP= yes
 DEFAULT_PHP_VER=4
-BROKEN_WITH_PHP=5
+IGNORE_WITH_PHP=5
 WANT_PHP_MOD= yes
 
 NO_BUILD= yes
Index: devel/pear-PHPUnit2/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/devel/pear-PHPUnit2/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- devel/pear-PHPUnit2/Makefile 11 Jan 2006 18:45:30 -0000 1.13
+++ devel/pear-PHPUnit2/Makefile 27 Jan 2006 07:27:00 -0000
@@ -23,7 +23,7 @@
 NO_PACKAGE= "Conflicting dependences between PHP4 and PHP5"
 
 DEFAULT_PHP_VER=5
-BROKEN_WITH_PHP=4
+IGNORE_WITH_PHP=4
 
 USE_REINPLACE= yes
 
Index: devel/pear-PHP_Beautifier/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/devel/pear-PHP_Beautifier/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- devel/pear-PHP_Beautifier/Makefile 9 Dec 2005 19:24:33 -0000 1.7
+++ devel/pear-PHP_Beautifier/Makefile 27 Jan 2006 07:27:19 -0000
@@ -21,7 +21,7 @@
 NO_PACKAGE=     Conflicting dependences between PHP4 and PHP5
 
 DEFAULT_PHP_VER=5
-BROKEN_WITH_PHP=4
+IGNORE_WITH_PHP=4
 
 CATEGORY= PHP
 FILES= Beautifier.php Beautifier/Filter.php Beautifier/Decorator.php \
Index: graphics/jpgraph/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/graphics/jpgraph/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- graphics/jpgraph/Makefile 23 Jan 2006 07:23:23 -0000 1.18
+++ graphics/jpgraph/Makefile 27 Jan 2006 07:27:37 -0000
@@ -16,7 +16,7 @@
 
 NO_BUILD= yes
 USE_PHP= gd
-BROKEN_WITH_PHP=5
+IGNORE_WITH_PHP=5
 
 NO_CDROM= The free version cannot be used in a commercial context
 
Index: lang/php4-extensions/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/lang/php4-extensions/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- lang/php4-extensions/Makefile 9 Dec 2005 19:38:11 -0000 1.7
+++ lang/php4-extensions/Makefile 27 Jan 2006 07:27:58 -0000
@@ -17,7 +17,7 @@
 COMMENT= A "meta-port" to install PHP extensions
 
 DEFAULT_PHP_VER=4
-BROKEN_WITH_PHP=5
+IGNORE_WITH_PHP=5
 USE_PHP_BUILD= yes
 
 NO_BUILD= yes
Index: lang/php5-extensions/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/lang/php5-extensions/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- lang/php5-extensions/Makefile 16 Jan 2006 12:08:20 -0000 1.9
+++ lang/php5-extensions/Makefile 27 Jan 2006 07:28:11 -0000
@@ -17,7 +17,7 @@
 COMMENT= A "meta-port" to install PHP extensions
 
 DEFAULT_PHP_VER=5
-BROKEN_WITH_PHP=4
+IGNORE_WITH_PHP=4
 USE_PHP_BUILD= yes
 
 NO_BUILD= yes
Index: net/torrentflux/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/net/torrentflux/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- net/torrentflux/Makefile 20 Oct 2005 18:37:55 -0000 1.1
+++ net/torrentflux/Makefile 27 Jan 2006 07:28:33 -0000
@@ -23,7 +23,7 @@
 USE_PHP= pcre session sqlite
 WANT_PHP_WEB= yes
 DEFAULT_PHP_VER?= 5
-BROKEN_WITH_PHP= 4
+IGNORE_WITH_PHP= 4
 USE_PYTHON_RUN= yes
 USE_REINPLACE= yes
 
Index: print/phppdflib/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/print/phppdflib/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- print/phppdflib/Makefile 8 Jan 2006 22:01:23 -0000 1.6
+++ print/phppdflib/Makefile 27 Jan 2006 07:28:49 -0000
@@ -18,7 +18,7 @@
 WANT_PHP_MOD= yes
 PHP_PORT?= ${PORTSDIR}/www/mod_php4
 
-BROKEN_WITH_PHP=5
+IGNORE_WITH_PHP=5
 
 .if defined(WITH_APACHE)
 RUN_DEPENDS+= ${LOCALBASE}/${APACHEMODDIR}/libphp4.so:${PHP_PORT}
Index: security/pecl-filter/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/security/pecl-filter/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- security/pecl-filter/Makefile 24 Jan 2006 17:09:46 -0000 1.1
+++ security/pecl-filter/Makefile 28 Jan 2006 04:27:11 -0000
@@ -24,7 +24,7 @@
 PHP_MODNAME= filter
 
 DEFAULT_PHP_VER= 5
-BROKEN_WITH_VER= 4
+IGNORE_WITH_VER= 4
 
 CONFIGURE_ARGS+= --with-pcre-dir=${LOCALBASE}
 
Index: shells/bush/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/shells/bush/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- shells/bush/Makefile 1 Sep 2005 21:07:24 -0000 1.5
+++ shells/bush/Makefile 27 Jan 2006 07:29:16 -0000
@@ -30,7 +30,7 @@
 MAKEFILE= GNUmakefile
 USE_SDL= sdl image
 USE_MYSQL= yes
-BROKEN_WITH_MYSQL= 323
+IGNORE_WITH_MYSQL= 323
 USE_REINPLACE= yes
 REINPLACE_ARGS= -i ""
 
Index: www/autoindex/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/autoindex/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- www/autoindex/Makefile 11 Dec 2005 17:39:41 -0000 1.4
+++ www/autoindex/Makefile 27 Jan 2006 07:29:31 -0000
@@ -17,7 +17,7 @@
 
 WRKSRC= ${WRKDIR}/${PORTNAME}
 
-BROKEN_WITH_PHP= 5
+IGNORE_WITH_PHP= 5
 USE_PHP= session
 CONFLICTS= AutoIndex-2*
 NO_BUILD= yes
Index: www/autoindex2/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/autoindex2/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/autoindex2/Makefile 11 Dec 2005 18:29:41 -0000 1.6
+++ www/autoindex2/Makefile 27 Jan 2006 07:29:45 -0000
@@ -18,7 +18,7 @@
 
 USE_PHP= session
 DEFAULT_PHP_VER= 5
-BROKEN_WITH_PHP= 4
+IGNORE_WITH_PHP= 4
 CONFLICTS= AutoIndex-1*
 LATEST_LINK= AutoIndex2
 NO_BUILD= yes
Index: www/campsite/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/campsite/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/campsite/Makefile 16 Jan 2006 21:13:48 -0000 1.6
+++ www/campsite/Makefile 27 Jan 2006 07:30:02 -0000
@@ -31,7 +31,7 @@
 
 USE_APACHE= YES
 
-BROKEN_WITH_PHP= 5
+IGNORE_WITH_PHP= 5
 USE_PHP= mysql curl pcre xml xmlrpc
 WANT_PHP_CLI= YES
 USE_PHP_BUILD= YES
Index: www/eaccelerator/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/eaccelerator/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- www/eaccelerator/Makefile 14 Dec 2005 14:01:48 -0000 1.28
+++ www/eaccelerator/Makefile 27 Jan 2006 07:31:18 -0000
@@ -18,7 +18,7 @@
 USE_PHP= session
 USE_PHPIZE= yes
 USE_PHP_BUILD= yes
-BROKEN_WITH_PHP= 5
+IGNORE_WITH_PHP= 5
 
 CONFIGURE_ARGS= --enable-eaccelerator=shared
 
Index: www/mod_auth_cookie_mysql/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/mod_auth_cookie_mysql/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/mod_auth_cookie_mysql/Makefile 4 Dec 2005 14:08:55 -0000 1.6
+++ www/mod_auth_cookie_mysql/Makefile 27 Jan 2006 07:31:36 -0000
@@ -18,7 +18,7 @@
 USE_MYSQL= YES
 
 # If someone can test it with MySQL 4.1 ;-)
-BROKEN_WITH_MYSQL= 41
+IGNORE_WITH_MYSQL= 41
 
 USE_APACHE= 13
 
Index: www/mod_auth_cookie_mysql2/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/mod_auth_cookie_mysql2/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- www/mod_auth_cookie_mysql2/Makefile 4 Dec 2005 16:22:33 -0000 1.6
+++ www/mod_auth_cookie_mysql2/Makefile 27 Jan 2006 07:32:30 -0000
@@ -16,7 +16,7 @@
 
 USE_MYSQL= YES
 # If someone can test it with MySQL 5.0 ;-)
-BROKEN_WITH_MYSQL= 50
+IGNORE_WITH_MYSQL= 50
 
 USE_APACHE= 20+
 
Index: www/siteframe/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/siteframe/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- www/siteframe/Makefile 15 Jan 2006 17:42:54 -0000 1.1
+++ www/siteframe/Makefile 27 Jan 2006 07:33:00 -0000
@@ -19,10 +19,10 @@
 WITH_APACHE2= yes
 USE_PHP= mysqli simplexml xml session gd
 DEFAULT_PHP_VER= 5
-BROKEN_WITH_PHP= 4
+IGNORE_WITH_PHP= 4
 USE_MYSQL= yes
 DEFAULT_MYSQL_VER= 41
-BROKEN_WITH_MYSQL= 40
+IGNORE_WITH_MYSQL= 40
 
 NO_PACKAGE= Conflicting Apache dependencies
 
Index: www/usermanager/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/usermanager/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- www/usermanager/Makefile 11 Oct 2005 20:41:15 -0000 1.5
+++ www/usermanager/Makefile 27 Jan 2006 07:33:15 -0000
@@ -16,7 +16,7 @@
 
 WRKSRC= ${WRKDIR}/ftp
 
-BROKEN_WITH_PHP= 5
+IGNORE_WITH_PHP= 5
 USE_PHP= mysql pcre posix session
 
 NO_BUILD= yes
Index: www/xaraya/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/www/xaraya/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- www/xaraya/Makefile 23 Jan 2006 07:04:10 -0000 1.4
+++ www/xaraya/Makefile 27 Jan 2006 07:33:37 -0000
@@ -22,7 +22,7 @@
 .else
 USE_PHP= mysql
 .endif
-BROKEN_WITH_PHP= 5
+IGNORE_WITH_PHP= 5
 NO_BUILD= yes
 WRKSRC= ${WRKDIR}/${PORTNAME}-1.0.0-rc3
 
Index: x11-toolkits/php-gtk/Makefile
===================================================================
RCS file: /home/FreeBSD/pcvs/ports/x11-toolkits/php-gtk/Makefile,v
retrieving revision 1.22
diff -u -r1.22 Makefile
--- x11-toolkits/php-gtk/Makefile 15 Nov 2005 06:52:05 -0000 1.22
+++ x11-toolkits/php-gtk/Makefile 27 Jan 2006 07:34:00 -0000
@@ -20,7 +20,7 @@
 USE_PHP= pcre
 USE_PHP_BUILD= yes
 WANT_PHP_SCR= yes
-BROKEN_WITH_PHP= 5
+IGNORE_WITH_PHP= 5
 USE_GMAKE= yes
 USE_PERL5_BUILD=yes
 USE_GNOME= gtk12
>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|

Re: ports/92445: [patch] change all bogus uses of BROKEN to IGNORE

gnats-2
Synopsis: [patch] change all bogus uses of BROKEN to IGNORE

Responsible-Changed-From-To: freebsd-ports-bugs->portmgr
Responsible-Changed-By: gnats
Responsible-Changed-When: Sat Jan 28 04:42:43 UTC 2006
Responsible-Changed-Why:
Requires testing on the cluster.

http://www.freebsd.org/cgi/query-pr.cgi?pr=92445
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "[hidden email]"